
; ******************************************************************************
; *                                                                            *
; *     AiChip Spin Pre-Processor - Prototype Demo (C) AiChip Industries       *
; *                                                                            *
; ******************************************************************************
; *                                                                            *
; *     Source File          : C:\User\Aispp\spp-demo.Pcc                      *
; *                                                                            *
; *     Compilation Date     : Saturday, 7th June 2008, 21:06:26               *
; *                                                                            *
; *     Language Syntax      : Pseudo-C                                        *
; *                                                                            *
; *     Compiler Platform    : PowerBasic Command Line Executable ( #0330 )    *
; *                                                                            *
; ******************************************************************************
; *                                                                            *
; *     AiChip and Pseudo-C are Trademarks of AiChip Industries                *
; *                                                                            *
; ******************************************************************************

                                        ; 00001 
                                        ; 00002 #define from         1
                                        ; 00003 #define to           10
                                        ; 00004 #define range        from,to
                                        ; 00005 #define Execute(nnn) Call nnn ## FunSum(range)
                                        ; 00006 
                                        ; 00007 Function BasFunSum( ByVal basFrom As Long, ByVal basTo As Long ) As Long
#000
PUB Entry
                                        ; 00008 Dim basSum As Long
#001 SUB
PRI BasFunSum( basFrom,basTo )
                                        ; 00009   basSum = 0
#001 VAR
basSum
                                        ; 00010   Do
#001
  basSum := 0
                                        ; 00011     basSum = basSum + basFrom
  repeat
                                        ; 00012     basFrom = basFrom + &h1
    basSum := basSum+basFrom
                                        ; 00013   Loop While basFrom <= basTo
    basFrom := basFrom+1
                                        ; 00014   BasFunSum = basSum
  while basFrom =< basTo
                                        ; 00015 End Function
  BasFunSum := basSum
                                        ; 00016 
                                        ; 00017 long PccFunSum( long pccFrom, long pccTo )
#001 END
                                        ; 00018 {
#001 SUB
PRI PccFunSum( pccFrom,pccTo )
                                        ; 00019   long pccSum;
#001 VAR
pccSum
                                        ; 00020   pccSum = 0;
#001
  pccSum := 0
                                        ; 00021   repeat
  repeat
                                        ; 00022   {
                                        ; 00023     pccSum = pccSum + pccFrom;
    pccSum := pccSum+pccFrom
                                        ; 00024     pccFrom = pccFrom + 0x1
                                        ; 00025   }
    pccFrom := pccFrom+1
                                        ; 00026   while ( pccFrom =< pccTo );
  while (pccFrom =< pccTo)
                                        ; 00027   return pccSum
                                        ; 00028 }
  return pccSum
                                        ; 00029 
                                        ; 00030 function PasFunSum( pasFrom : long, pasTo : long ) : long;
#001 END
#001 SUB
PRI PasFunSum( pasFrom,pasTo )
                                        ; 00031 var
                                        ; 00032   pasSum : Long;
#001 VAR
pasSum
                                        ; 00033 begin
                                        ; 00034   pasSum := 0;
#001
  pasSum := 0
                                        ; 00035   repeat
  repeat
                                        ; 00036     pasSum := pasSum + pasFrom;
    pasSum := pasSum+pasFrom
                                        ; 00037     pasFrom := pasFrom + $1;
    pasFrom := pasFrom+1
                                        ; 00038   until pasFrom > pasTo;
  until pasFrom > pasTo
                                        ; 00039   PasFunSum := pasSum;
  PasFunSum := pasSum
                                        ; 00040 end;
#001 END
                                        ; 00041 
                                        ; 00042 Execute( Bas )
                                        ; =>    Call BasFunSum ( range )
                                        ; =>    Call BasFunSum ( from , to )
                                        ; =>    Call BasFunSum ( 1 , to )
                                        ; =>    Call BasFunSum ( 1 , 10 )
                                        ; 00043 Execute( Pcc )
                                        ; =>    Call PccFunSum ( range )
#000
  BasFunSum( 1,10 )
                                        ; =>    Call PccFunSum ( from , to )
                                        ; =>    Call PccFunSum ( 1 , to )
                                        ; =>    Call PccFunSum ( 1 , 10 )
                                        ; 00044 Execute( Pas )
                                        ; =>    Call PasFunSum ( range )
  PccFunSum( 1,10 )
                                        ; =>    Call PasFunSum ( from , to )
                                        ; =>    Call PasFunSum ( 1 , to )
                                        ; =>    Call PasFunSum ( 1 , 10 )
                                        ; 00045 
  PasFunSum( 1,10 )

; ==============================================================================
;
;       Definitions and Macros
;       ----------------------
;
;       4 : #DEFINE Execute(nnn) <1> Call nnn ## FunSum ( range )
;
;       1 : #DEFINE from 1
;
;       3 : #DEFINE range from , to
;
;       2 : #DEFINE to 10
;
; ==============================================================================

;       45 lines and 259 tokens parsed

; ******************************************************************************
; *                                                                            *
; *     No errors detected                                                     *
; *                                                                            *
; ******************************************************************************

